// Example of iterartive solution for the factorial test


public class FactorialIterativeDriver
{
	public static void main(String args[] )
	{
		FactorialCalculator fc = new FactorialCalculator();
		fc.displayFactorials();
	}
}

class FactorialCalculator
{
	//recursive declaration
	public long factorial( long n )
	{
		long result =1;
		
		//iterative declaration of method factorial
		for(long i=n; i >= 1; i--)
			result *=i;
			
		return result;
	}
	
	//output factorial values
	public void displayFactorials()
	{
		//calc factorial 0 - 10
		for(int c=0; c <= 10; c++)
			System.out.printf("%d! = %d\n",c, factorial(c) );
		
	}
}
